TLS Security Update

Windows 7+ users

On December 10, we made an important security update to protect your data and comply with payment industry security requirements.

If your Verbum software was not updated to Verbum version 7.19 before then, it will be unable to use online functionality. To regain the full functionality of Verbum, get the free update to Verbum 7 now.

 

Get the Free Update

 

 

Windows XP/Vista users

On December 10, we made an important security update to protect your data and comply with payment industry security requirements.

Because you are running Windows Vista or XP, you first need to upgrade your operating system to run Verbum 7. Following our security update, your Verbum software will be unable to access online services on Windows Vista or XP.

After you update your operating system, get the free update to Verbum 7.19. If your Verbum software is not updated to Verbum version 7.19, it will have limited functionality and may not be secure.  

First, upgrade your operating system to Windows 7 or higher, then update Verbum to version 7.19.

 

Get the Free Update

 

Was this article helpful?
1 out of 1 found this helpful
Have more questions? Ask the community.

Can't find what you need? Contact us!